# Product

| Attribute              | Type     | Description                                                                                                                                                                                                             |
| ---------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | integer  | Unique identifier for the product.                                                                                                                                                                                      |
| code                   | string   | Visual identifier code of the product.                                                                                                                                                                                  |
| code\_cup              | string   | Code UPC of the product.                                                                                                                                                                                                |
| origin\_product\_id    | integer  | ID of the parent product.                                                                                                                                                                                               |
| updated\_at            | datetime | Last updated date.                                                                                                                                                                                                      |
| created\_at            | datetime | Created date.                                                                                                                                                                                                           |
| category\_id           | integer  | ID of the product categories.                                                                                                                                                                                           |
| type                   | integer  | <p>The product type.<br>Possible values are :</p><ul><li>1: Product</li><li>4: Service</li><li>7: Product used for assembly</li><li>8: Service used for assembly</li><li>11: Assembling</li><li>12: Gift card</li></ul> |
| status                 | integer  | Statut of the product. 1 for active, 0 for inactive.                                                                                                                                                                    |
| name\_fr               | string   | Product french name.                                                                                                                                                                                                    |
| additional\_fr         | string   | Short french description.                                                                                                                                                                                               |
| guaranty\_fr           | string   | Description of the french product guaranty.                                                                                                                                                                             |
| name\_en               | string   | Product english name.                                                                                                                                                                                                   |
| additional\_en         | string   | Short english description.                                                                                                                                                                                              |
| guaranty\_en           | string   | Description of the english product guaranty.                                                                                                                                                                            |
| tags                   | string   | Comma separated list of id tag.                                                                                                                                                                                         |
| price                  | numeric  | Product price.                                                                                                                                                                                                          |
| price\_return          | numeric  | Product price for the return invoice.                                                                                                                                                                                   |
| special\_price         | numeric  | Special price for the product.                                                                                                                                                                                          |
| special\_price\_return | numeric  | Special price for the product in return invoice.                                                                                                                                                                        |
| special\_price\_from   | date     | Start date for the special price.                                                                                                                                                                                       |
| special\_price\_to     | date     | End date for the special price.                                                                                                                                                                                         |
| change\_from           | date     | Date for the new price effective.                                                                                                                                                                                       |
| change\_price          | numeric  | New price.                                                                                                                                                                                                              |
| change\_return         | numeric  | New price for return invoice.                                                                                                                                                                                           |
| dimensions\_length     | numeric  | Length dimension of the product.                                                                                                                                                                                        |
| dimensions\_width      | numeric  | Width dimension of the product.                                                                                                                                                                                         |
| dimensions\_height     | numeric  | Height dimension of the product.                                                                                                                                                                                        |
| weight                 | numeric  | Weight of the product.                                                                                                                                                                                                  |
| weight\_unit           | integer  | Id of the unit for the weight.                                                                                                                                                                                          |
| unit                   | integer  | Id of the unit for the product.                                                                                                                                                                                         |
| provider\_id           | integer  | Id of the provider.                                                                                                                                                                                                     |
| provider\_reference    | string   | Reference of the provider.                                                                                                                                                                                              |
| price\_cost            | numeric  | Cost price at the provider.                                                                                                                                                                                             |
| order\_unit            | integer  | Id of the unit for the order.                                                                                                                                                                                           |
| other\_fee             | numeric  | Other price fee.                                                                                                                                                                                                        |
| quantity\_case         | numeric  | Quantity per case.                                                                                                                                                                                                      |
| quantity\_min          | numeric  | Quantity minimum.                                                                                                                                                                                                       |
| quantity\_order        | numeric  | Quantity for order.                                                                                                                                                                                                     |
| location               | string   | Location of the product.                                                                                                                                                                                                |
| is\_bank\_hour         | boolean  | Product is use for bank hour.                                                                                                                                                                                           |
| is\_subscription       | boolean  | Product is use for subscription.                                                                                                                                                                                        |
| invoice\_display       | boolean  | Product is display on invoice.                                                                                                                                                                                          |
| invoice\_order         | integer  | Position of the product on invoice.                                                                                                                                                                                     |
| submission\_display    | boolean  | Product is display on submission.                                                                                                                                                                                       |
| submission\_order      | integer  | Position of the product on submission.                                                                                                                                                                                  |
| is\_reccuring          | boolean  | Product is recurring.                                                                                                                                                                                                   |
| recurring\_renewal     | boolean  | Recurring product is auto renewal.                                                                                                                                                                                      |
| recurring\_type        | integer  | <p>Id of the type of recurring.</p><p>Possible values are :</p><ul><li>1: annual</li><li>2: quarterly</li><li>3: monthly</li><li>4: fortnightly</li><li>5: weekly</li></ul>                                             |
| recurring\_limit       | integer  | Limit of renewal. 0 for unlimited.                                                                                                                                                                                      |
| short\_description\_fr | string   | Short french description of the product.                                                                                                                                                                                |
| description\_fr        | string   | French description of the product.                                                                                                                                                                                      |
| short\_description\_en | string   | Short english description of the product.                                                                                                                                                                               |
| description\_en        | string   | English description of the product.                                                                                                                                                                                     |
| notes\_fr              | string   | French notes for the product.                                                                                                                                                                                           |
| notes\_en              | string   | English notes for the product.                                                                                                                                                                                          |
| note\_invoice          | boolean  | Add the note to the invoice automatically                                                                                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/objects/product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
